Package org.apache.qpid.proton.engine.impl.ssl

# Class SslHandshakeSniffingTransportWrapper

java.lang.Object
org.apache.qpid.proton.engine.impl.HandshakeSniffingTransportWrapper<SslTransportWrapper,TransportWrapper>
org.apache.qpid.proton.engine.impl.ssl.SslHandshakeSniffingTransportWrapper

All Implemented Interfaces:
  `SslTransportWrapper`, `TransportInput`, `TransportOutput`, `TransportWrapper`

public class SslHandshakeSniffingTransportWrapper extends HandshakeSniffingTransportWrapper<SslTransportWrapper,TransportWrapper> implements SslTransportWrapper
SslHandshakeSniffingTransportWrapper

## Field Summary

### Fields inherited from class org.apache.qpid.proton.engine.impl.HandshakeSniffingTransportWrapper

`_selectedTransportWrapper, _wrapper1, _wrapper2`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`bufferSize()`
`String`
`getCipherName()`
`String`
`getProtocolName()`
`protected void`
`makeDetermination(byte[] bytesInput)`

### Methods inherited from class org.apache.qpid.proton.engine.impl.HandshakeSniffingTransportWrapper

`capacity, close_head, close_tail, head, isDeterminationMade, pending, pop, position, process, tail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.qpid.proton.engine.impl.TransportInput

`capacity, close_tail, position, process, tail`

### Methods inherited from interface org.apache.qpid.proton.engine.impl.TransportOutput

`close_head, head, pending, pop`

## Method Details

### getCipherName

public String getCipherName()

Specified by:
  `getCipherName` in interface `SslTransportWrapper`

### getProtocolName

public String getProtocolName()

Specified by:
  `getProtocolName` in interface `SslTransportWrapper`

### bufferSize

protected int bufferSize()

Specified by:
  `bufferSize` in class `HandshakeSniffingTransportWrapper<SslTransportWrapper,TransportWrapper>`

### makeDetermination

protected void makeDetermination(byte[] bytesInput)

Specified by:
  `makeDetermination` in class `HandshakeSniffingTransportWrapper<SslTransportWrapper,TransportWrapper>`